## EmpathyConf EmpathyConf |

## Synopsis

                        EmpathyConf;
    #define             EMPATHY_PREFS_PATH
    #define             EMPATHY_PREFS_SOUNDS_FOR_MESSAGES
    #define             EMPATHY_PREFS_SOUNDS_WHEN_AWAY
    #define             EMPATHY_PREFS_SOUNDS_WHEN_BUSY
    #define             EMPATHY_PREFS_POPUPS_WHEN_AVAILABLE
    #define             EMPATHY_PREFS_CHAT_SHOW_SMILEYS
    #define             EMPATHY_PREFS_CHAT_THEME
    #define             EMPATHY_PREFS_CHAT_SPELL_CHECKER_LANGUAGES
    #define             EMPATHY_PREFS_CHAT_SPELL_CHECKER_ENABLED
    #define             EMPATHY_PREFS_CHAT_NICK_COMPLETION_CHAR
    #define             EMPATHY_PREFS_CHAT_AVATAR_IN_ICON
    #define             EMPATHY_PREFS_UI_SEPARATE_CHAT_WINDOWS
    #define             EMPATHY_PREFS_UI_MAIN_WINDOW_HIDDEN
    #define             EMPATHY_PREFS_UI_AVATAR_DIRECTORY
    #define             EMPATHY_PREFS_UI_SHOW_AVATARS
    #define             EMPATHY_PREFS_UI_COMPACT_CONTACT_LIST
    #define             EMPATHY_PREFS_CONTACTS_SHOW_OFFLINE
    #define             EMPATHY_PREFS_CONTACTS_SORT_CRITERIUM
    #define             EMPATHY_PREFS_HINTS_CLOSE_MAIN_WINDOW
    #define             EMPATHY_PREFS_SALUT_ACCOUNT_CREATED
    #define             EMPATHY_PREFS_USE_NM
    #define             EMPATHY_PREFS_AUTOCONNECT
    void                (*EmpathyConfNotifyFunc)            (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gpointer user_data);
    EmpathyConf*        empathy_conf_get                    (void);
    void                empathy_conf_shutdown               (void);
    guint               empathy_conf_notify_add             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             EmpathyConfNotifyFunc func,
                                                             gpointer data);
    gboolean            empathy_conf_notify_remove          (EmpathyConf *conf,
                                                             guint id);
    gboolean            empathy_conf_set_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint value);
    gboolean            empathy_conf_get_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint *value);
    gboolean            empathy_conf_set_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean value);
    gboolean            empathy_conf_get_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean *value);
    gboolean            empathy_conf_set_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             const gchar *value);
    gboolean            empathy_conf_get_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gchar **value);
    gboolean            empathy_conf_set_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList *value);
    gboolean            empathy_conf_get_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList **value);

## Description

## Details

### EmpathyConf

    typedef struct {
    	GObject parent;
    	gpointer priv;
    } EmpathyConf;

### EMPATHY_PREFS_PATH

    #define EMPATHY_PREFS_PATH "/apps/empathy"

### EMPATHY_PREFS_SOUNDS_FOR_MESSAGES

    #define EMPATHY_PREFS_SOUNDS_FOR_MESSAGES          EMPATHY_PREFS_PATH "/notifications/sounds_for_messages"

### EMPATHY_PREFS_SOUNDS_WHEN_AWAY

    #define EMPATHY_PREFS_SOUNDS_WHEN_AWAY             EMPATHY_PREFS_PATH "/notifications/sounds_when_away"

### EMPATHY_PREFS_SOUNDS_WHEN_BUSY

    #define EMPATHY_PREFS_SOUNDS_WHEN_BUSY             EMPATHY_PREFS_PATH "/notifications/sounds_when_busy"

### EMPATHY_PREFS_POPUPS_WHEN_AVAILABLE

    #define EMPATHY_PREFS_POPUPS_WHEN_AVAILABLE        EMPATHY_PREFS_PATH "/notifications/popups_when_available"

### EMPATHY_PREFS_CHAT_SHOW_SMILEYS

    #define EMPATHY_PREFS_CHAT_SHOW_SMILEYS            EMPATHY_PREFS_PATH "/conversation/graphical_smileys"

### EMPATHY_PREFS_CHAT_THEME

    #define EMPATHY_PREFS_CHAT_THEME                   EMPATHY_PREFS_PATH "/conversation/theme"

### EMPATHY_PREFS_CHAT_SPELL_CHECKER_LANGUAGES

    #define EMPATHY_PREFS_CHAT_SPELL_CHECKER_LANGUAGES EMPATHY_PREFS_PATH "/conversation/spell_checker_languages"

### EMPATHY_PREFS_CHAT_SPELL_CHECKER_ENABLED

    #define EMPATHY_PREFS_CHAT_SPELL_CHECKER_ENABLED   EMPATHY_PREFS_PATH "/conversation/spell_checker_enabled"

### EMPATHY_PREFS_CHAT_NICK_COMPLETION_CHAR

    #define EMPATHY_PREFS_CHAT_NICK_COMPLETION_CHAR    EMPATHY_PREFS_PATH "/conversation/nick_completion_char"

### EMPATHY_PREFS_CHAT_AVATAR_IN_ICON

    #define EMPATHY_PREFS_CHAT_AVATAR_IN_ICON          EMPATHY_PREFS_PATH "/conversation/avatar_in_icon"

### EMPATHY_PREFS_UI_SEPARATE_CHAT_WINDOWS

    #define EMPATHY_PREFS_UI_SEPARATE_CHAT_WINDOWS     EMPATHY_PREFS_PATH "/ui/separate_chat_windows"

### EMPATHY_PREFS_UI_MAIN_WINDOW_HIDDEN

    #define EMPATHY_PREFS_UI_MAIN_WINDOW_HIDDEN        EMPATHY_PREFS_PATH "/ui/main_window_hidden"

### EMPATHY_PREFS_UI_AVATAR_DIRECTORY

    #define EMPATHY_PREFS_UI_AVATAR_DIRECTORY          EMPATHY_PREFS_PATH "/ui/avatar_directory"

### EMPATHY_PREFS_UI_SHOW_AVATARS

    #define EMPATHY_PREFS_UI_SHOW_AVATARS              EMPATHY_PREFS_PATH "/ui/show_avatars"

### EMPATHY_PREFS_UI_COMPACT_CONTACT_LIST

    #define EMPATHY_PREFS_UI_COMPACT_CONTACT_LIST      EMPATHY_PREFS_PATH "/ui/compact_contact_list"

### EMPATHY_PREFS_CONTACTS_SHOW_OFFLINE

    #define EMPATHY_PREFS_CONTACTS_SHOW_OFFLINE        EMPATHY_PREFS_PATH "/contacts/show_offline"

### EMPATHY_PREFS_CONTACTS_SORT_CRITERIUM

    #define EMPATHY_PREFS_CONTACTS_SORT_CRITERIUM      EMPATHY_PREFS_PATH "/contacts/sort_criterium"

### EMPATHY_PREFS_HINTS_CLOSE_MAIN_WINDOW

    #define EMPATHY_PREFS_HINTS_CLOSE_MAIN_WINDOW      EMPATHY_PREFS_PATH "/hints/close_main_window"

### EMPATHY_PREFS_SALUT_ACCOUNT_CREATED

    #define EMPATHY_PREFS_SALUT_ACCOUNT_CREATED        EMPATHY_PREFS_PATH "/accounts/salut_created"

### EMPATHY_PREFS_USE_NM

    #define EMPATHY_PREFS_USE_NM                       EMPATHY_PREFS_PATH "/use_nm"

### EMPATHY_PREFS_AUTOCONNECT

    #define EMPATHY_PREFS_AUTOCONNECT                  EMPATHY_PREFS_PATH "/autoconnect"

### EmpathyConfNotifyFunc ()

    void                (*EmpathyConfNotifyFunc)            (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gpointer user_data);

`conf` : |
`key` : |
`user_data` : |

### empathy_conf_get ()

    EmpathyConf*        empathy_conf_get                    (void);

Returns : |

### empathy_conf_shutdown ()

    void                empathy_conf_shutdown               (void);

### empathy_conf_notify_add ()

    guint               empathy_conf_notify_add             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             EmpathyConfNotifyFunc func,
                                                             gpointer data);

`conf` : |
`key` : |
`func` : |
`data` : |
Returns : |

### empathy_conf_notify_remove ()

    gboolean            empathy_conf_notify_remove          (EmpathyConf *conf,
                                                             guint id);

`conf` : |
`id` : |
Returns : |

### empathy_conf_set_int ()

    gboolean            empathy_conf_set_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_int ()

    gboolean            empathy_conf_get_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_set_bool ()

    gboolean            empathy_conf_set_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_bool ()

    gboolean            empathy_conf_get_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_set_string ()

    gboolean            empathy_conf_set_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             const gchar *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_string ()

    gboolean            empathy_conf_get_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gchar **value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_set_string_list ()

    gboolean            empathy_conf_set_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_string_list ()

    gboolean            empathy_conf_get_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList **value);

`conf` : |
`key` : |
`value` : |
Returns : |